What is the required Flash version?

Which Flash version must I use?

The minimum Flash Player version required for issuu is 9.0.0. You might get a better experience with 9.0.28 and above, but anything above version 9 is supported. You can find the version of Flash currently installed on your computer via this link: http://helpx.adobe.com/flash-player/kb/find-version-flash-player.html

 

I can't install Flash on my computer/device

Not to worry, if we don't see Flash installed, our system will switch to our HTML5 reader and we'll show the content in a plain PDF-like version.

Comments

Have more questions? Submit a request